package com.zhibao.crm.utils.sztp;

import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;
import java.util.Map.Entry;

public class ASCIIUtils {

   public static String sortParamenterByAsc(SortedMap parameters) {
      StringBuffer sb = new StringBuffer();
      StringBuffer sbkey = new StringBuffer();
      Set es = parameters.entrySet();
      Iterator it = es.iterator();

      while(it.hasNext()) {
         Entry entry = (Entry)it.next();
         String k = (String)entry.getKey();
         Object v = entry.getValue();
         if(null != v && !"".equals(v)) {
            sb.append(k + "=" + v + "&");
            sbkey.append(k + "=" + v + "&");
         }
      }

      return sb.toString();
   }

   public static Map sortByAsc(SortedMap parameters) {
      TreeMap objMap = new TreeMap();
      StringBuffer sb = new StringBuffer();
      StringBuffer sbkey = new StringBuffer();
      Set es = parameters.entrySet();
      Iterator it = es.iterator();

      while(it.hasNext()) {
         Entry entry = (Entry)it.next();
         String k = (String)entry.getKey();
         Object v = entry.getValue();
         if(null != v && !"".equals(v)) {
            sb.append(k + "=" + v + "&");
            sbkey.append(k + "=" + v + "&");
            objMap.put(k, v);
         }
      }

      return objMap;
   }

   public static void main(String[] args) {
      TreeMap parameters = new TreeMap();
      String merchant_id = "190010002";
      String business_type = "1005";
      String aut_trade_no = "1400000001";
      parameters.put("merchant_id", merchant_id);
      parameters.put("business_type", business_type);
      parameters.put("aut_trade_no", aut_trade_no);
      String newParamenter = sortParamenterByAsc(parameters);
      System.out.println(newParamenter);
   }
}
